/*
			Copyright (c) 1994 by
			Advanced Visual Systems Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
	
	This file is under Perforce control
	$Id: //depot/express/fcs992/ip_lib/vff_defs.h#1 $
*/
#ifndef vffdefs_DEFINED
#define vffdefs_DEFINED

#ifdef VMS
#include <string.h>
#include <avs/port.h>
#endif
#include <stdio.h>
#include <string.h>
#include <ctype.h>
/*
#include <rpc/rpc.h>
*/

#define	VFF_MAGIC	"ncaa"

#define	VFF_STREAM	0
#define	VFF_FILE	1
#define	VFF_PIPE	2

#define	VFF_ASCII	0
#define	VFF_BINARY	1

#define	VFF_ACHAR	'{'
#define	VFF_BCHAR	0x0c

#define	VFF_INT		1
#define	VFF_FLOAT	2
#define	VFF_BYTE	3
#define	VFF_SHORT	4

typedef struct vff_Object
{
	int	type;
	
	int	nkeys;
	char	**keyword;
	char	**value;
	FILE	*fp;
} vff_Object;

typedef struct vff_File
{
	int	stype;
	FILE	*fp;
} vff_File;

typedef struct vff_Select
{
	int	nfields;
	int	nselect;
	int	*type;
	int	*index;
	char	**name;
} vff_Select;

#ifdef MAIN
#define	EXTERN
#else
#define EXTERN	IMPORT
#endif
/*EXTERN int	VFF_loud;*/  /* Not used anywhere that I can see -- MM */

extern vff_File	*vff_open();
extern vff_File *vff_sopen();
extern vff_Select	*vff_select();
extern char	*vff_getkeyval();
extern char	*vff_vread();
extern int	vff_hread();
extern int	vff_getc();
extern int	vff_index();
extern char	*vff_getparam();
#endif
